summaryrefslogtreecommitdiffstats
path: root/debian/shopsystem.postinst
diff options
context:
space:
mode:
authorSebastian Reichel <sre@ring0.de>2018-07-14 19:33:03 +0200
committerSebastian Reichel <sre@ring0.de>2018-07-18 01:27:02 +0200
commitf77ef3ceb3b828724a60c4838b3524e8f7c5115b (patch)
treeebbf42206415464a39d77234263c4ea128524056 /debian/shopsystem.postinst
parent568c2be3c328a272f7a872c3fc67b61af3c4e797 (diff)
downloadserial-barcode-scanner-f77ef3ceb3b828724a60c4838b3524e8f7c5115b.tar.bz2
Debian packaging
Diffstat (limited to 'debian/shopsystem.postinst')
-rw-r--r--debian/shopsystem.postinst19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/shopsystem.postinst b/debian/shopsystem.postinst
new file mode 100644
index 0000000..1238405
--- /dev/null
+++ b/debian/shopsystem.postinst
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+# source debconf stuff
+if [ -f /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule
+fi
+
+if [ -f /usr/share/dbconfig-common/dpkg/postinst ]; then
+ . /usr/share/dbconfig-common/dpkg/postinst
+ dbc_dbfile_owner="shop:shop"
+ dbc_go shopsystem "$@"
+fi
+
+adduser shop audio
+
+exit 0